# Class IllegalAccessError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.IncompatibleClassChangeError
java.lang.IllegalAccessError

All Implemented Interfaces:
  `Serializable`

public class IllegalAccessError extends IncompatibleClassChangeError
Thrown if an application attempts to access or modify a field, or to call a method that it does not have access to.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalAccessError()`
Constructs an `IllegalAccessError` with no detail message.
`IllegalAccessError(String s)`
Constructs an `IllegalAccessError` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalAccessError

public IllegalAccessError()
Constructs an `IllegalAccessError` with no detail message.

### IllegalAccessError

public IllegalAccessError(String s)
Constructs an `IllegalAccessError` with the specified detail message.

Parameters:
  `s` - the detail message.